.credit-rating-history {
  border: 1px solid $border;
  background: $white;
  border-radius: 5px;
  margin: 0;
  margin-bottom: 40px;

  &__wrapper {

  }

  &__header {
    @include size(100%);
    @include position(relative, $c: (null));
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 40px;
    border-bottom: 1px solid $border;

    &-title {
      @include font(14px, 700, 1.43, .5px);
      color: #323c47;
      margin: 0;
      text-transform: uppercase;
    }

    &-button {
      @include size(auto);
      @include size(null, 45px);
      @include flex(flex, row, nowrap);
      align-items: center;
      margin: 0;
      padding: 0;
      background-color: transparent;
      cursor: pointer;

      &:hover {
        background: none;
      }

      &:active {
        background: none;
      }

      svg {
        margin: 0 17px 0 0;
      }

      .link {
        @include font(14px, 400, 1.43);
        color: #4a90e2;
        text-transform: none;
        text-decoration: none;
      }
    }
  }

  &__content {

  }

  &__status {
    @include position(relative, $c: (null));
    @include font(15px, 500, 1.33);
    padding: 0 0 0 19px;

    &:before {
      content: '';
      @include position(absolute, $c: (top: 50%, left: 0));
      @include size(9px, 9px);
      border-radius: 50%;
      transform: translate(0, -50%);
    }
  }

  &__table {
    @include size(100%);
    @include flex(flex, column, nowrap);

    .list-item {
      .padding.full-table {
        padding: 15px 20px !important;

        .table-row {
          @include flex(flex, row, nowrap);
          align-items: center;
        }
      }
    }


    &-header {
      background-color: #e9eff4;

      &-title {
        margin: 0;
        @include font(13px, 500, null);
        color: #b7c6d0;
        text-transform: uppercase;
      }
    }

    &-row {
      @include size(100%);
      @include flex(flex, row, nowrap);
      padding: 0 40px;
      border-bottom: 1px solid $border;

      &:last-child {
        border: none;
      }
    }

    &-cell {
      @include size(25%);
      @include flex(flex, row, nowrap);
      align-items: center;
      justify-content: flex-start;
      @include position(relative);
      padding: 20px 0;
      margin: 0;
      @include font(15px, 500, null);
      color: #222222;
    }

    &-link {
      @include position(relative);
      @include size(31px, 18px);
      display: block;
    }

    &-icon {
      @include position(absolute, $c: (top: 50%, left: 50%));
      @include size(31px, 31px);
      background-image: url("/lk/static/img/icons/docs.png");
      background-repeat: no-repeat;
      background-position: 50% 50%;
      border-radius: 5px;
      transform: translate(-50%, -50%);
    }

    .white-block {
      border-radius: 0 !important;
      margin-bottom: 0 !important;
      border: none !important;
    }

    .list-item {
      &:last-child {
        hr {
          display: none;
        }
      }
    }
  }

  &__processing {
    .credit-rating-history__status {
      color: $yellow;

      &:before {
        background-color: $yellow;
      }
    }

    .credit-rating-history__table-icon {
      opacity: .3;
    }
  }

  &__successful {
    .credit-rating-history__status {
      color: $green;

      &:before {
        background-color: $green;
      }
    }

    .credit-rating-history__table-icon {
      background-color: #F2F8FF;
    }
  }

  &__denied {
    .credit-rating-history__status {
      color: $red;

      &:before {
        background-color: $red;
      }
    }

    .credit-rating-history__table-icon {
      opacity: .3;
    }
  }
}

@media #{$laptop} {
  .credit-rating-history {
    margin: 0 0 40px;

    &__header {
      padding: 15px 30px;
    }
  }
}

@media #{$tablet} {
  .credit-rating-history {
    margin: 0 0 40px;

    &__header {
      @include flex(null, column, null);
      align-items: flex-start;
      justify-content: flex-start;
      padding: 15px 30px;

      &-title {
        margin: 0 0 20px;
      }
    }
  }
}

@media #{$mobile} {
  .credit-rating-history {
    margin: 0 0 40px;

    &__wrapper {

    }

    &__header {
      @include flex(null, column, null);
      align-items: flex-start;
      justify-content: flex-start;
      padding: 20px;

      &-title {
        margin: 0 0 20px;
      }
    }

    &__table {

      &-row {
        @include flex(null, column, null);
        padding: 20px;

        &:last-child {
          border: none;
        }
      }

      &-cell {
        @include size(100%);
        justify-content: space-between;
        padding: 0;
        margin: 0 0 10px;

        &-title {
          @include size(120px);
          display: inline-block;
        }
      }

      &-link {

      }

      &-icon {

      }
    }
  }
}
